Index: src/app/api/invoices/[id]/route.ts
===================================================================
--- src/app/api/invoices/[id]/route.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/api/invoices/[id]/route.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,16 +1,10 @@
 import { NextRequest, NextResponse } from 'next/server';
-import { updateInvoiceSchema } from 'src/schemas';
+import { invoiceSchema } from 'mvpmasters-shared';
 import prisma from 'src/lib/prisma';
 import { authenticateRequest } from 'src/lib/auth-middleware';
-import { Prisma } from '@prisma/client';
 
-export async function GET(request: NextRequest, { params }: { params: { id: string } }) {
+export async function PATCH(request: NextRequest, { params }: { params: { id: string } }) {
   try {
-    // Validate ID format
-    if (!params.id || !/^[0-9a-fA-F-]+$/.test(params.id)) {
-      return NextResponse.json({ error: 'Invalid invoice ID format' }, { status: 400 });
-    }
-
-    // Authenticate request
+    // Authenticate the request
     const authResult = await authenticateRequest(request);
     if (authResult instanceof NextResponse) {
@@ -19,181 +13,32 @@
     const { userId } = authResult;
 
-    // Fetch invoice with user check
-    const invoice = await prisma.invoice.findFirst({
-      where: {
-        id: params.id,
-        // invoiceFromId: userId,
+    const body = await request.json();
+    const validatedData = invoiceSchema.partial().parse(body);
+
+    const invoice = await prisma.invoice.update({
+      where: { id: params.id, userId },
+      data: {
+        ...validatedData,
+        items: validatedData.items
+          ? {
+              deleteMany: {},
+              create: validatedData.items,
+            }
+          : undefined,
       },
       include: {
+        items: {
+          include: {
+            service: true,
+          },
+        },
         invoiceFrom: true,
         invoiceTo: true,
-        items: true,
       },
     });
 
-    if (!invoice) {
-      return NextResponse.json({ error: 'Invoice not found or access denied' }, { status: 404 });
-    }
-
     return NextResponse.json(invoice);
   } catch (error) {
-    console.error('Error fetching invoice:', error);
-
-    if (error instanceof Prisma.PrismaClientKnownRequestError) {
-      return NextResponse.json({ error: 'Database error occurred' }, { status: 500 });
-    }
-
-    return NextResponse.json({ error: 'Internal server error' }, { status: 500 });
+    return NextResponse.json({ error: 'Internal Server Error' }, { status: 500 });
   }
 }
-
-export async function PATCH(request: NextRequest, { params }: { params: { id: string } }) {
-  try {
-    // Validate ID format
-    if (!params.id || !/^[0-9a-fA-F-]+$/.test(params.id)) {
-      return NextResponse.json({ error: 'Invalid invoice ID format' }, { status: 400 });
-    }
-
-    // Authenticate request
-    const authResult = await authenticateRequest(request);
-    if (authResult instanceof NextResponse) {
-      return authResult;
-    }
-    const { userId } = authResult;
-
-    // Parse and validate request body
-    const body = await request.json();
-
-    const validation = updateInvoiceSchema.partial().safeParse(body);
-
-    if (!validation.success) {
-      return NextResponse.json(
-        { error: 'Invalid invoice data', details: validation.error.format() },
-        { status: 400 }
-      );
-    }
-
-    // Verify invoice exists and belongs to user
-    const existingInvoice = await prisma.invoice.findFirst({
-      where: {
-        id: params.id,
-        // invoiceFromId: userId,
-      },
-    });
-
-    if (!existingInvoice) {
-      return NextResponse.json({ error: 'Invoice not found or access denied' }, { status: 404 });
-    }
-
-    // Update invoice and related data
-    const updatedInvoice = await prisma.$transaction(async (tx) => {
-      // Conditionally delete and recreate items only if they are provided
-      if (validation.data.items) {
-        await tx.lineItem.deleteMany({
-          where: { invoiceId: params.id },
-        });
-      }
-
-      // Update the invoice and create new items if provided
-      return tx.invoice.update({
-        where: { id: params.id },
-        data: {
-          invoiceNumber: validation.data.invoiceNumber,
-          issueDate: validation.data.issueDate,
-          dueDate: validation.data.dueDate,
-          status: validation.data.status,
-          currency: validation.data.currency,
-          quantityType: validation.data.quantityType,
-          subTotal: validation.data.subTotal,
-          month: validation.data.month,
-          totalAmount: validation.data.totalAmount,
-          discount: validation.data.discount,
-          taxes: validation.data.taxes,
-          pdfRef: validation.data.pdfRef,
-          invoiceTo: {
-            update: validation.data.invoiceTo,
-          },
-          items: validation.data.items
-            ? {
-                create: validation.data.items.map((item) => ({
-                  ...item,
-                  service: {
-                    connect: { id: item.service.id },
-                  },
-                })),
-              }
-            : undefined,
-        },
-        include: {
-          invoiceFrom: true,
-          invoiceTo: true,
-          items: true,
-        },
-      });
-    });
-
-    return NextResponse.json(updatedInvoice);
-  } catch (error) {
-    console.error('Error updating invoice:', error);
-
-    if (error instanceof Prisma.PrismaClientKnownRequestError) {
-      return NextResponse.json({ error: 'Database error occurred' }, { status: 500 });
-    }
-
-    return NextResponse.json({ error: 'Internal server error' }, { status: 500 });
-  }
-}
-
-export async function DELETE(request: NextRequest, { params }: { params: { id: string } }) {
-  try {
-    // Validate ID format
-    if (!params.id || !/^[0-9a-fA-F-]+$/.test(params.id)) {
-      return NextResponse.json({ error: 'Invalid invoice ID format' }, { status: 400 });
-    }
-
-    // Authenticate request
-    const authResult = await authenticateRequest(request);
-    if (authResult instanceof NextResponse) {
-      return authResult;
-    }
-    const { userId } = authResult;
-    console.log('userId', userId);
-
-    // Verify invoice exists and belongs to user
-    const existingInvoice = await prisma.invoice.findFirst({
-      where: {
-        id: params.id,
-      },
-    });
-
-    if (!existingInvoice) {
-      return NextResponse.json({ error: 'Invoice not found or access denied' }, { status: 404 });
-    }
-
-    // Delete invoice and related items in a transaction
-    await prisma.$transaction(async (tx) => {
-      // Delete related items first
-      await tx.lineItem.deleteMany({
-        where: { invoiceId: params.id },
-      });
-
-      // Delete the invoice
-      await tx.invoice.delete({
-        where: { id: params.id },
-      });
-    });
-
-    return NextResponse.json({ message: 'Invoice deleted successfully' }, { status: 200 });
-  } catch (error) {
-    console.error('Error deleting invoice:', error);
-
-    if (error instanceof Prisma.PrismaClientKnownRequestError) {
-      if (error.code === 'P2025') {
-        return NextResponse.json({ error: 'Invoice not found' }, { status: 404 });
-      }
-      return NextResponse.json({ error: 'Database error occurred' }, { status: 500 });
-    }
-
-    return NextResponse.json({ error: 'Internal server error' }, { status: 500 });
-  }
-}
Index: src/app/api/invoices/route.ts
===================================================================
--- src/app/api/invoices/route.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/api/invoices/route.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,7 +1,6 @@
 import { NextRequest, NextResponse } from 'next/server';
-import { createInvoiceSchema, invoiceSchema, invoiceTableFiltersSchema } from 'src/schemas';
+import { invoiceSchema, invoiceTableFiltersSchema } from 'mvpmasters-shared';
 import prisma from 'src/lib/prisma';
 import { auth } from 'src/lib/firebase-admin';
-import { InvoiceStatus } from '@prisma/client';
 
 // Helper function to get userId from Authorization header
@@ -24,7 +23,7 @@
   try {
     const userId = await getUserId(request);
-    // if (!userId) {
-    //   return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
-    // }
+    if (!userId) {
+      return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
+    }
 
     const searchParams = request.nextUrl.searchParams;
@@ -42,10 +41,9 @@
     const invoices = await prisma.invoice.findMany({
       where: {
-        status: validatedFilters.status
-          ? { equals: validatedFilters.status as InvoiceStatus }
-          : undefined,
-        issueDate: {
-          ...(validatedFilters.startDate && { gte: validatedFilters.startDate }),
-          ...(validatedFilters.endDate && { lte: validatedFilters.endDate }),
+        userId,
+        status: validatedFilters.status ? { equals: validatedFilters.status } : undefined,
+        createDate: {
+          gte: validatedFilters.startDate,
+          lte: validatedFilters.endDate,
         },
         items:
@@ -74,57 +72,17 @@
   try {
     const userId = await getUserId(request);
-    // if (!userId) {
-    //   return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
-    // }
+    if (!userId) {
+      return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
+    }
 
     const body = await request.json();
-    const validatedData = createInvoiceSchema.parse(body);
-
-    const tenant = await prisma.tenant.findUnique({
-      where: { id: validatedData.invoiceFrom.id },
-    });
-
-    const toCustomer = await prisma.client.findUnique({
-      where: { id: validatedData.invoiceTo.id },
-    });
-
-    if (!tenant || !toCustomer) {
-      return NextResponse.json({ error: 'Invoice sender or recipient not found' }, { status: 404 });
-    }
-
-    // Update lastInvoiceNumber in tenant
-    const updatedTenant = await prisma.tenant.update({
-      where: { id: tenant.id },
-      data: {
-        lastInvoiceNumber: validatedData.invoiceNumber,
-      },
-    });
+    const validatedData = invoiceSchema.parse(body);
 
     const invoice = await prisma.invoice.create({
       data: {
-        dueDate: validatedData.dueDate,
-        status: validatedData.status,
-        currency: validatedData.currency,
-        quantityType: validatedData.quantityType,
-        subTotal: validatedData.subTotal,
-        issueDate: validatedData.issueDate,
-        month: validatedData.month,
-        discount: validatedData.discount,
-        taxes: validatedData.taxes,
-        totalAmount: validatedData.totalAmount,
-        invoiceNumber: validatedData.invoiceNumber,
-        invoiceFromId: tenant.id,
-        invoiceToId: toCustomer.id,
+        ...validatedData,
+        userId,
         items: {
-          create: validatedData.items.map((item) => ({
-            title: item.title,
-            price: item.price,
-            total: item.total,
-            quantity: item.quantity,
-            description: item.description,
-            service: {
-              connect: { id: item.service.id },
-            },
-          })),
+          create: validatedData.items,
         },
       },
@@ -142,5 +100,4 @@
     return NextResponse.json(invoice, { status: 201 });
   } catch (error) {
-    console.error(error);
     return NextResponse.json({ error: 'Internal Server Error' }, { status: 500 });
   }
Index: src/app/dashboard/customer/list/page.tsx
===================================================================
--- src/app/dashboard/customer/list/page.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/dashboard/customer/list/page.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,4 +1,4 @@
 // sections
-import { CustomerListView } from 'src/sections/client/view';
+import { CustomerListView } from 'src/sections/user/view';
 
 // ----------------------------------------------------------------------
Index: src/app/dashboard/customer/new/page.tsx
===================================================================
--- src/app/dashboard/customer/new/page.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/dashboard/customer/new/page.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,4 +1,4 @@
 // sections
-import { CustomerCreateView } from 'src/sections/client/view';
+import { CustomerCreateView } from 'src/sections/user/view';
 
 // ----------------------------------------------------------------------
Index: src/app/loading.tsx
===================================================================
--- src/app/loading.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/loading.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -7,8 +7,4 @@
 
 export default function Loading() {
-  return (
-    <div className="flex min-h-screen items-center justify-center">
-      <div className="animate-spin rounded-full h-32 w-32 border-t-2 border-b-2 border-blue-500"></div>
-    </div>
-  );
+  return <SplashScreen />;
 }
Index: src/app/not-found.tsx
===================================================================
--- src/app/not-found.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/not-found.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,5 +1,4 @@
 // sections
 import { NotFoundView } from 'src/sections/error';
-import Link from 'next/link';
 
 // ----------------------------------------------------------------------
@@ -9,13 +8,5 @@
 };
 
-export default function NotFound() {
-  return (
-    <div className="flex min-h-screen flex-col items-center justify-center">
-      <h2 className="text-2xl font-bold mb-4">Page Not Found</h2>
-      <p className="mb-4">Could not find requested resource</p>
-      <Link href="/" className="px-4 py-2 bg-blue-500 text-white rounded hover:bg-blue-600">
-        Return Home
-      </Link>
-    </div>
-  );
+export default function NotFoundPage() {
+  return <NotFoundView />;
 }
Index: src/auth/context/firebase/auth-provider.tsx
===================================================================
--- src/auth/context/firebase/auth-provider.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/auth/context/firebase/auth-provider.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -21,5 +21,4 @@
 import { AuthContext } from './auth-context';
 import { ActionMapType, AuthStateType, AuthUserType } from '../../types';
-import { getUser } from 'src/api/user';
 
 // ----------------------------------------------------------------------
@@ -72,23 +71,20 @@
         if (user) {
           if (user.emailVerified) {
-            try {
-              const profile = await getUser();
-              console.log('profile', profile);
-
-              dispatch({
-                type: Types.INITIAL,
-                payload: {
-                  user: { ...profile, emailVerified: user.emailVerified },
+            const userProfile = doc(db, collections.administrator, user.uid);
+
+            const docSnap = await getDoc(userProfile);
+
+            const profile = docSnap.data();
+
+            dispatch({
+              type: Types.INITIAL,
+              payload: {
+                user: {
+                  ...user,
+                  ...profile,
+                  id: user.uid,
                 },
-              });
-            } catch (error) {
-              console.error('Failed to fetch user profile:', error);
-              dispatch({
-                type: Types.INITIAL,
-                payload: {
-                  user: null,
-                },
-              });
-            }
+              },
+            });
           } else {
             dispatch({
@@ -149,12 +145,15 @@
   const register = useCallback(
     async (email: string, password: string, firstName: string, lastName: string) => {
-      // const newUser = await createUserWithEmailAndPassword(auth, email, password);
-      // await sendEmailVerification(newUser.user);
-      // const userProfile = doc(collection(db, collections.administrator), newUser.user?.uid);
-      // await setDoc(userProfile, {
-      //   uid: newUser.user?.uid,
-      //   email,
-      //   displayName: `${firstName} ${lastName}`,
-      // });
+      const newUser = await createUserWithEmailAndPassword(auth, email, password);
+
+      await sendEmailVerification(newUser.user);
+
+      const userProfile = doc(collection(db, collections.administrator), newUser.user?.uid);
+
+      await setDoc(userProfile, {
+        uid: newUser.user?.uid,
+        email,
+        displayName: `${firstName} ${lastName}`,
+      });
     },
     []
Index: src/layouts/dashboard/config-navigation.tsx
===================================================================
--- src/layouts/dashboard/config-navigation.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/layouts/dashboard/config-navigation.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -53,5 +53,5 @@
         items: [
           {
-            title: 'dashboard',
+            title: 'banking',
             path: paths.dashboard.banking,
             icon: ICONS.banking,
@@ -85,13 +85,4 @@
             ],
           },
-          {
-            title: 'Employees',
-            path: paths.dashboard.employee.list,
-            icon: <SvgColor src="/assets/icons/navbar/ic_user.svg" />,
-            children: [
-              { title: 'list', path: paths.dashboard.employee.list },
-              { title: 'create', path: paths.dashboard.employee.new },
-            ],
-          },
         ],
       },
Index: src/layouts/dashboard/nav-horizontal.tsx
===================================================================
--- src/layouts/dashboard/nav-horizontal.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/layouts/dashboard/nav-horizontal.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -41,5 +41,5 @@
           data={navData}
           config={{
-            currentRole: user?.role || 'ADMIN',
+            currentRole: user?.role || 'admin',
           }}
         />
Index: src/layouts/dashboard/nav-mini.tsx
===================================================================
--- src/layouts/dashboard/nav-mini.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/layouts/dashboard/nav-mini.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -51,5 +51,5 @@
           data={navData}
           config={{
-            currentRole: user?.role || 'ADMIN',
+            currentRole: user?.role || 'admin',
           }}
         />
Index: src/layouts/dashboard/nav-vertical.tsx
===================================================================
--- src/layouts/dashboard/nav-vertical.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/layouts/dashboard/nav-vertical.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -58,5 +58,5 @@
         data={navData}
         config={{
-          currentRole: user?.role || 'ADMIN',
+          currentRole: user?.role || 'admin',
         }}
       />
Index: src/lib/auth-middleware.ts
===================================================================
--- src/lib/auth-middleware.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/lib/auth-middleware.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -4,10 +4,9 @@
 export interface AuthenticatedRequest extends NextRequest {
   userId: string;
-  tenantId: string;
 }
 
 export async function authenticateRequest(
   request: NextRequest
-): Promise<{ userId: string; tenantId: string } | NextResponse> {
+): Promise<{ userId: string } | NextResponse> {
   // Get the authorization header
   const authHeader = request.headers.get('Authorization');
@@ -24,13 +23,10 @@
     const userId = decodedToken.uid;
 
-    const tenantId = decodedToken.customClaims?.tenantId || 'cm7lxc3p00000pb7kmdrxsfod';
-
-    if (!userId || !tenantId) {
+    if (!userId) {
       return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
     }
 
-    return { userId, tenantId: 'cm7lxc3p00000pb7kmdrxsfod' };
+    return { userId };
   } catch (error) {
-    console.error('Error verifying token:', error);
     return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
   }
Index: src/routes/paths.ts
===================================================================
--- src/routes/paths.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/routes/paths.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -34,10 +34,4 @@
       list: `${ROOTS.DASHBOARD}/customer/list`,
     },
-    employee: {
-      root: '/dashboard/employee',
-      list: '/dashboard/employee/list',
-      new: '/dashboard/employee/new',
-      edit: (id: string) => `/dashboard/employee/${id}/edit`,
-    },
   },
 };
Index: src/sections/auth/firebase/firebase-login-view.tsx
===================================================================
--- src/sections/auth/firebase/firebase-login-view.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/auth/firebase/firebase-login-view.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -74,5 +74,5 @@
   const renderHead = (
     <Stack spacing={2} sx={{ mb: 5 }}>
-      <Typography variant="h4">Sign in to AgencyOS</Typography>
+      <Typography variant="h4">Sign in to MVP Masters</Typography>
     </Stack>
   );
Index: src/sections/company/company-item.tsx
===================================================================
--- src/sections/company/company-item.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/company/company-item.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -4,5 +4,5 @@
 import Stack, { StackProps } from '@mui/material/Stack';
 // types
-import { Customer } from 'src/schemas';
+import { Customer } from 'mvpmasters-shared';
 // components
 import Label from 'src/components/label';
Index: src/sections/company/company-list-dialog.tsx
===================================================================
--- src/sections/company/company-list-dialog.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/company/company-list-dialog.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -9,10 +9,9 @@
 import ListItemButton, { listItemButtonClasses } from '@mui/material/ListItemButton';
 // types
-import { Customer } from 'src/schemas';
+import { Customer } from 'mvpmasters-shared';
 // components
 import Iconify from 'src/components/iconify';
 import SearchNotFound from 'src/components/search-not-found';
 import { createFullAddress } from 'src/utils/create-full-address';
-import { Tenant } from 'src/schemas';
 
 // ----------------------------------------------------------------------
@@ -20,6 +19,5 @@
 type Props = {
   title?: string;
-  tenant?: Tenant;
-  list?: Customer[];
+  list: Customer[];
   action?: React.ReactNode;
   //
@@ -28,10 +26,9 @@
   //
   selected: (selectedId: string) => boolean;
-  onSelect: (address: Customer | Tenant | null) => void;
+  onSelect: (address: Customer | null) => void;
 };
 
 export default function AddressListDialog({
   title = 'Address Book',
-  tenant,
   list,
   action,
@@ -46,5 +43,5 @@
 
   const dataFiltered = applyFilter({
-    inputData: list || (tenant ? [tenant] : []),
+    inputData: list,
     query: searchCompany,
   });
@@ -57,5 +54,5 @@
 
   const handleSelectCompany = useCallback(
-    (company: Customer | Tenant | null) => {
+    (company: Customer | null) => {
       onSelect(company);
       setSearchCompany('');
@@ -159,5 +156,5 @@
 // ----------------------------------------------------------------------
 
-function applyFilter({ inputData, query }: { inputData: Tenant[] | Customer[]; query: string }) {
+function applyFilter({ inputData, query }: { inputData: Customer[]; query: string }) {
   if (query) {
     return inputData.filter(
Index: src/sections/invoice/invoice-details.tsx
===================================================================
--- src/sections/invoice/invoice-details.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/invoice/invoice-details.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -18,5 +18,5 @@
 import { fCurrency } from 'src/utils/format-number';
 // types
-import { Invoice } from 'src/schemas';
+import { Invoice } from 'mvpmasters-shared';
 // components
 import Label from 'src/components/label';
@@ -28,5 +28,4 @@
 import { getQuantityType } from 'src/utils/get-invoice-quantity-type';
 import InvoiceToolbar from './invoice-toolbar';
-import { updateInvoice } from 'src/api/invoice';
 
 // ----------------------------------------------------------------------
@@ -60,8 +59,5 @@
   const handleChangeStatus = useCallback(
     async (event: React.ChangeEvent<HTMLInputElement>) => {
-      // await updateDocument(collections.invoice, invoice.id, { status: event.target.value });
-      await updateInvoice(invoice.id, {
-        status: event.target.value as 'draft' | 'processing' | 'pending' | 'overdue' | 'paid',
-      });
+      await updateDocument(collections.invoice, invoice.id, { status: event.target.value });
       mutate([collections.invoice, invoice.id]);
     },
@@ -244,7 +240,7 @@
             {invoice.invoiceTo.name}
             <br />
-            {!!invoice.invoiceTo.companyNumber && (
+            {!!invoice.invoiceTo.companyId && (
               <>
-                Company ID: {invoice.invoiceTo.companyNumber}
+                Company ID: {invoice.invoiceTo.companyId}
                 <br />
               </>
@@ -261,5 +257,5 @@
               Date Issued
             </Typography>
-            {fDate(invoice.issueDate)}
+            {fDate(invoice.createDate.toDate())}
           </Stack>
 
@@ -268,5 +264,5 @@
               Due Date
             </Typography>
-            {fDate(invoice.dueDate)}
+            {fDate(invoice.dueDate.toDate())}
           </Stack>
         </Box>
Index: src/sections/invoice/invoice-ee-pdf.tsx
===================================================================
--- src/sections/invoice/invoice-ee-pdf.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/invoice/invoice-ee-pdf.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -5,5 +5,5 @@
 import { fCurrency } from 'src/utils/format-number';
 // types
-import { Invoice } from 'src/schemas';
+import { Invoice } from 'mvpmasters-shared';
 import { createFullAddress } from 'src/utils/create-full-address';
 import { getQuantityType } from 'src/utils/get-invoice-quantity-type';
@@ -129,5 +129,5 @@
     discount,
     invoiceTo,
-    issueDate,
+    createDate,
     totalAmount,
     invoiceFrom,
@@ -229,9 +229,9 @@
           <View style={styles.col6}>
             <Text style={[styles.subtitle1, styles.mb4]}>Date Issued</Text>
-            <Text style={styles.body2}>{fDate(issueDate)}</Text>
+            <Text style={styles.body2}>{fDate(createDate.toDate())}</Text>
           </View>
           <View style={styles.col6}>
             <Text style={[styles.subtitle1, styles.mb4]}>Due date</Text>
-            <Text style={styles.body2}>{fDate(dueDate)}</Text>
+            <Text style={styles.body2}>{fDate(dueDate.toDate())}</Text>
           </View>
         </View>
Index: src/sections/invoice/invoice-mk-pdf.tsx
===================================================================
--- src/sections/invoice/invoice-mk-pdf.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/invoice/invoice-mk-pdf.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -5,5 +5,5 @@
 import { fCurrency } from 'src/utils/format-number';
 // types
-import { Invoice } from 'src/schemas';
+import { Invoice } from 'mvpmasters-shared';
 import { createFullAddress } from 'src/utils/create-full-address';
 import { getQuantityType } from 'src/utils/get-invoice-quantity-type';
@@ -113,5 +113,5 @@
     discount,
     invoiceTo,
-    issueDate,
+    createDate,
     totalAmount,
     invoiceFrom,
@@ -179,9 +179,9 @@
           <View style={styles.col6}>
             <Text style={[styles.subtitle1, styles.mb4]}>Date Issued</Text>
-            <Text style={styles.body2}>{fDate(issueDate)}</Text>
+            <Text style={styles.body2}>{fDate(createDate.toDate())}</Text>
           </View>
           <View style={styles.col6}>
             <Text style={[styles.subtitle1, styles.mb4]}>Due date</Text>
-            <Text style={styles.body2}>{fDate(dueDate)}</Text>
+            <Text style={styles.body2}>{fDate(dueDate.toDate())}</Text>
           </View>
         </View>
Index: src/sections/invoice/invoice-new-edit-address.tsx
===================================================================
--- src/sections/invoice/invoice-new-edit-address.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/invoice/invoice-new-edit-address.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -7,5 +7,5 @@
 import Typography from '@mui/material/Typography';
 // hooks
-import { useGetTenant } from 'src/api/tenant';
+import { useGetSettings } from 'src/api/settings';
 import { useBoolean } from 'src/hooks/use-boolean';
 import { useResponsive } from 'src/hooks/use-responsive';
@@ -32,5 +32,5 @@
   const { invoiceFrom, invoiceTo } = values;
 
-  const { settings: tenant } = useGetTenant();
+  const { settings } = useGetSettings();
   const { customers } = useGetCustomers();
 
@@ -100,5 +100,5 @@
       </Stack>
 
-      {tenant && (
+      {settings && (
         <CompanyListDialog
           title="Companies"
@@ -106,6 +106,6 @@
           onClose={from.onFalse}
           selected={(selectedId: string) => invoiceFrom?.id === selectedId}
-          onSelect={(tenant) => setValue('invoiceFrom', tenant)}
-          tenant={tenant}
+          onSelect={(company) => setValue('invoiceFrom', company)}
+          list={[settings?.company, settings?.['company-ee']]}
           action={
             <Button
Index: src/sections/invoice/invoice-new-edit-details.tsx
===================================================================
--- src/sections/invoice/invoice-new-edit-details.tsx	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/sections/invoice/invoice-new-edit-details.tsx	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -14,5 +14,5 @@
 import { fCurrency } from 'src/utils/format-number';
 // types
-import { InvoiceItem } from 'src/schemas';
+import { InvoiceItem } from 'mvpmasters-shared';
 // components
 import Iconify from 'src/components/iconify';
@@ -75,26 +75,14 @@
   const handleSelectService = useCallback(
     (index: number, option: string) => {
-      const service = invoiceServices.find((service) => service.id === option);
-      if (!service) return;
-
-      const quantityType = values.quantityType?.toLowerCase();
-      let price = 0;
-
-      switch (quantityType) {
-        case 'sprint':
-          price = service.sprint;
-          break;
-        case 'hour':
-          price = service.hour;
-          break;
-        case 'month':
-          price = service.month;
-          break;
-        default:
-          price = 0;
-      }
-
-      setValue(`items[${index}].price`, price);
-      setValue(`items[${index}].total`, values.items[index].quantity * price);
+      setValue(
+        `items[${index}].price`,
+        invoiceServices.find((service) => service.id === option)?.price?.[
+          values.quantityType?.toLowerCase() as 'sprint' | 'hour' | 'month'
+        ]
+      );
+      setValue(
+        `items[${index}].total`,
+        values.items.map((item: InvoiceItem) => item.quantity * item.price)[index]
+      );
     },
     [setValue, values.items, values.quantityType, invoiceServices]
